<?xml version="1.0"?>
<!DOCTYPE MODE SYSTEM "xmode.dtd">
<!-- Agena 1.1.1, based on Philipp Janda's Lua definition -->

<!-- TODO:
  * Autoindent screws up, if { or ( gets typed after the indentNextLines trigger
  -> This is very annoying, so I disabled the automatic indenting in this case!
  -> It should be fixed if you set doubleBracketIndent to "true", but I keep it
     disabled anyway since it is not that useful if you don't have an unindent!
  * Should I use FUNCTION and OPERATOR tags inside of <KEYWORDS>??!!
-->

<MODE>
  <PROPS>
    <!-- Comments -->
    <PROPERTY NAME="lineComment" VALUE="#"/>
    <PROPERTY NAME="commentStart" VALUE="#/"/>
    <PROPERTY NAME="commentEnd" VALUE="/#"/>
    <PROPERTY NAME="wordBreakChars" VALUE=",+-=&lt;&gt;/?^&amp;*"/>
    <!-- Auto indent -->
    <PROPERTY NAME="indentOpenBrackets" VALUE="{"/>
    <PROPERTY NAME="indentCloseBrackets" VALUE="}"/>
    <!--
    <PROPERTY NAME="indentNextLines" VALUE=".*((then|else|do|proc)).*"/>
    -->
    <PROPERTY NAME="doubleBracketIndent" VALUE="true"/>
  </PROPS>
  <RULES IGNORE_CASE="FALSE" NO_WORD_SEP="_:." HIGHLIGHT_DIGITS="TRUE"
         DIGIT_RE="[\p{Digit}]*(\.[\p{Digit}]*)?([eE][+-]?[\p{Digit}]*)?">
    <!-- Multiline comments -->
    <SPAN TYPE="COMMENT1">
      <BEGIN>#/</BEGIN>
      <END>/#</END>
    </SPAN>
    <!-- Single line comments -->
    <EOL_SPAN TYPE="COMMENT1">#</EOL_SPAN>
    <EOL_SPAN AT_LINE_START="TRUE" TYPE="COMMENT2">#!</EOL_SPAN>
    <!-- Simple string literals -->
    <SPAN TYPE="LITERAL1">
      <BEGIN>"</BEGIN>
      <END>"</END>
    </SPAN>
    <SPAN TYPE="LITERAL1">
      <BEGIN>'</BEGIN>
      <END>'</END>
    </SPAN>
    <!-- Multiline string literals
    <SPAN TYPE="LITERAL1">
      <BEGIN>[[</BEGIN>
      <END>]]</END>
    </SPAN> -->
    <!-- Operators -->
    <SEQ TYPE="OPERATOR">+</SEQ>
    <SEQ TYPE="OPERATOR">-</SEQ>
    <SEQ TYPE="OPERATOR">*</SEQ>
    <SEQ TYPE="OPERATOR">*%</SEQ>
    <SEQ TYPE="OPERATOR">/</SEQ>
    <SEQ TYPE="OPERATOR">/%</SEQ>
    <SEQ TYPE="OPERATOR">+%</SEQ>
    <SEQ TYPE="OPERATOR">-%</SEQ>
    <SEQ TYPE="OPERATOR">^</SEQ>
    <SEQ TYPE="OPERATOR">**</SEQ>
    <SEQ TYPE="OPERATOR">&amp;</SEQ>
    <SEQ TYPE="OPERATOR">&amp;&amp;</SEQ>
    <SEQ TYPE="OPERATOR">||</SEQ>
    <SEQ TYPE="OPERATOR">~~</SEQ>
    <SEQ TYPE="OPERATOR">^^</SEQ>
    <SEQ TYPE="OPERATOR">&lt;=</SEQ>
    <SEQ TYPE="OPERATOR">&lt;</SEQ>
    <SEQ TYPE="OPERATOR">&gt;=</SEQ>
    <SEQ TYPE="OPERATOR">&gt;</SEQ>
    <SEQ TYPE="OPERATOR">==</SEQ>
    <SEQ TYPE="OPERATOR">=</SEQ>
    <SEQ TYPE="OPERATOR">&lt;&gt;</SEQ>
    <SEQ TYPE="OPERATOR">:=</SEQ>
    <SEQ TYPE="OPERATOR">::</SEQ>
    <SEQ TYPE="OPERATOR">:-</SEQ>
    <SEQ TYPE="OPERATOR">.</SEQ>
    <SEQ TYPE="OPERATOR">..</SEQ>
    <SEQ TYPE="OPERATOR">-&gt;</SEQ>
    <SEQ TYPE="OPERATOR">mod</SEQ>
    <SEQ TYPE="OPERATOR">&gt;&gt;&gt;</SEQ>
    <SEQ TYPE="OPERATOR">&lt;&lt;&gt;</SEQ>
    <!-- Function calls and definitions -->
    <MARK_PREVIOUS TYPE="FUNCTION" MATCH_TYPE="OPERATOR">(</MARK_PREVIOUS>
	<SEQ TYPE="OPERATOR">)</SEQ>
    <!-- <MARK_PREVIOUS TYPE="FUNCTION" MATCH_TYPE="OPERATOR">{</MARK_PREVIOUS>
	<SEQ TYPE="OPERATOR">}</SEQ> -->
    <MARK_PREVIOUS TYPE="FUNCTION" MATCH_TYPE="OPERATOR">"</MARK_PREVIOUS>
	<SEQ TYPE="OPERATOR">"</SEQ>
    <MARK_PREVIOUS TYPE="FUNCTION" MATCH_TYPE="OPERATOR">'</MARK_PREVIOUS>
	<SEQ TYPE="OPERATOR">'</SEQ>

   <KEYWORDS>
      <!-- Keywords -->
      <KEYWORD1>alias</KEYWORD1>
      <KEYWORD1>and</KEYWORD1>
      <KEYWORD1>as</KEYWORD1>
      <KEYWORD1>boolean</KEYWORD1>
      <KEYWORD1>bottom</KEYWORD1>
      <KEYWORD1>break</KEYWORD1>
      <KEYWORD1>by</KEYWORD1>
      <KEYWORD1>case</KEYWORD1>
      <KEYWORD1>catch</KEYWORD1>
      <KEYWORD1>clear</KEYWORD1>
      <KEYWORD1>cls</KEYWORD1>
      <KEYWORD1>complex</KEYWORD1>
      <KEYWORD1>create</KEYWORD1>
      <KEYWORD1>dec</KEYWORD1>
      <KEYWORD1>delete</KEYWORD1>
      <KEYWORD1>dict</KEYWORD1>
      <KEYWORD1>div</KEYWORD1>
      <KEYWORD1>do</KEYWORD1>
      <KEYWORD1>downto</KEYWORD1>
      <KEYWORD1>duplicate</KEYWORD1>
      <KEYWORD1>elif</KEYWORD1>
      <KEYWORD1>else</KEYWORD1>
      <KEYWORD1>end</KEYWORD1>
      <KEYWORD1>enum</KEYWORD1>
      <KEYWORD1>epocs</KEYWORD1>
      <KEYWORD1>esac</KEYWORD1>
      <KEYWORD1>exchange</KEYWORD1>
      <KEYWORD1>external</KEYWORD1>
      <KEYWORD1>fail</KEYWORD1>
      <KEYWORD1>false</KEYWORD1>
      <KEYWORD1>fi</KEYWORD1>
      <KEYWORD1>for</KEYWORD1>
      <KEYWORD1>from</KEYWORD1>
      <KEYWORD1>global</KEYWORD1>
      <KEYWORD1>if</KEYWORD1>
      <KEYWORD1>import</KEYWORD1>
      <KEYWORD1>inc</KEYWORD1>
      <KEYWORD1>infinity</KEYWORD1>
      <KEYWORD1>insert</KEYWORD1>
      <KEYWORD1>into</KEYWORD1>
      <KEYWORD1>keys</KEYWORD1>
      <KEYWORD1>lightuserdata</KEYWORD1>
      <KEYWORD1>local</KEYWORD1>
      <KEYWORD1>mul</KEYWORD1>
      <KEYWORD1>nargs</KEYWORD1>
      <KEYWORD1>not</KEYWORD1>
      <KEYWORD1>null</KEYWORD1>
      <KEYWORD1>number</KEYWORD1>
      <KEYWORD1>od</KEYWORD1>
      <KEYWORD1>of</KEYWORD1>
      <KEYWORD1>or</KEYWORD1>
      <KEYWORD1>onsuccess</KEYWORD1>
      <KEYWORD1>pair</KEYWORD1>
      <KEYWORD1>pop</KEYWORD1>
      <KEYWORD1>proc</KEYWORD1>
      <KEYWORD1>procedure</KEYWORD1>
      <KEYWORD1>quit</KEYWORD1>
      <KEYWORD1>redo</KEYWORD1>
      <KEYWORD1>reg</KEYWORD1>
      <KEYWORD1>register</KEYWORD1>
      <KEYWORD1>relaunch</KEYWORD1>
      <KEYWORD1>return</KEYWORD1>
      <KEYWORD1>rotate</KEYWORD1>
      <KEYWORD1>scope</KEYWORD1>
      <KEYWORD1>seq</KEYWORD1>
      <KEYWORD1>sequence</KEYWORD1>
      <KEYWORD1>set</KEYWORD1>
      <KEYWORD1>si</KEYWORD1>
      <KEYWORD1>skip</KEYWORD1>
      <KEYWORD1>string</KEYWORD1>
      <KEYWORD1>subset</KEYWORD1>
      <KEYWORD1>table</KEYWORD1>
      <KEYWORD1>then</KEYWORD1>
      <KEYWORD1>thread</KEYWORD1>
      <KEYWORD1>to</KEYWORD1>
      <KEYWORD1>top</KEYWORD1>
      <KEYWORD1>true</KEYWORD1>
      <KEYWORD1>try</KEYWORD1>
      <KEYWORD1>undefined</KEYWORD1>
      <KEYWORD1>userdata</KEYWORD1>
      <KEYWORD1>until</KEYWORD1>
      <KEYWORD1>values</KEYWORD1>
      <KEYWORD1>varargs</KEYWORD1>
      <KEYWORD1>when</KEYWORD1>
      <KEYWORD1>while</KEYWORD1>
      <KEYWORD1>xsubset</KEYWORD1>
      <KEYWORD1>yrt</KEYWORD1>
      <!-- operators -->
      <KEYWORD1>abs</KEYWORD1>
      <KEYWORD1>alternate</KEYWORD1>
      <KEYWORD1>arccos</KEYWORD1>
      <KEYWORD1>arcsin</KEYWORD1>
      <KEYWORD1>arctan</KEYWORD1>
      <KEYWORD1>assigned</KEYWORD1>
      <KEYWORD1>atendof</KEYWORD1>
      <KEYWORD1>bea</KEYWORD1>
      <KEYWORD1>char</KEYWORD1>
      <KEYWORD1>copy</KEYWORD1>
      <KEYWORD1>cos</KEYWORD1>
      <KEYWORD1>cosh</KEYWORD1>
      <KEYWORD1>cosxx</KEYWORD1>
      <KEYWORD1>entier</KEYWORD1>
      <KEYWORD1>even</KEYWORD1>
      <KEYWORD1>exp</KEYWORD1>
      <KEYWORD1>filled</KEYWORD1>
      <KEYWORD1>finite</KEYWORD1>
      <KEYWORD1>flip</KEYWORD1>
      <KEYWORD1>frac</KEYWORD1>
      <KEYWORD1>imag</KEYWORD1>
      <KEYWORD1>in</KEYWORD1>
      <KEYWORD1>instr</KEYWORD1>
      <KEYWORD1>int</KEYWORD1>
      <KEYWORD1>intersect</KEYWORD1>
      <KEYWORD1>is</KEYWORD1>
      <KEYWORD1>join</KEYWORD1>
      <KEYWORD1>left</KEYWORD1>
      <KEYWORD1>ln</KEYWORD1>
      <KEYWORD1>lngamma</KEYWORD1>
      <KEYWORD1>lower</KEYWORD1>
      <KEYWORD1>ltrim</KEYWORD1>
      <KEYWORD1>minus</KEYWORD1>
      <KEYWORD1>nan</KEYWORD1>
      <KEYWORD1>numeric</KEYWORD1>
      <KEYWORD1>pop</KEYWORD1>
      <KEYWORD1>qsadd</KEYWORD1>
      <KEYWORD1>real</KEYWORD1>
      <KEYWORD1>recip</KEYWORD1>
      <KEYWORD1>replace</KEYWORD1>
      <KEYWORD1>right</KEYWORD1>
      <KEYWORD1>rtrim</KEYWORD1>
      <KEYWORD1>sadd</KEYWORD1>
      <KEYWORD1>shift</KEYWORD1>
      <KEYWORD1>sign</KEYWORD1>
      <KEYWORD1>sin</KEYWORD1>
      <KEYWORD1>sinh</KEYWORD1>
      <KEYWORD1>size</KEYWORD1>
      <KEYWORD1>split</KEYWORD1>
      <KEYWORD1>sqrt</KEYWORD1>
      <KEYWORD1>surd</KEYWORD1>
      <KEYWORD1>tan</KEYWORD1>
      <KEYWORD1>tanh</KEYWORD1>
      <KEYWORD1>trim</KEYWORD1>
      <KEYWORD1>type</KEYWORD1>
      <KEYWORD1>typeof</KEYWORD1>
      <KEYWORD1>unassigned</KEYWORD1>
      <KEYWORD1>union</KEYWORD1>
      <KEYWORD1>unique</KEYWORD1>
      <KEYWORD1>upper</KEYWORD1>
      <!-- baselib functions -->
      <KEYWORD2>approx</KEYWORD2>
      <KEYWORD2>argerror</KEYWORD2>
      <KEYWORD2>arccosh</KEYWORD2>
      <KEYWORD2>arccot</KEYWORD2>
      <KEYWORD2>arccoth</KEYWORD2>
      <KEYWORD2>arccsc</KEYWORD2>
      <KEYWORD2>arccsch</KEYWORD2>
      <KEYWORD2>arcsec</KEYWORD2>
      <KEYWORD2>arcsech</KEYWORD2>
      <KEYWORD2>arcsinh</KEYWORD2>
      <KEYWORD2>arctan2</KEYWORD2>
      <KEYWORD2>arctanh</KEYWORD2>
      <KEYWORD2>argument</KEYWORD2>
      <KEYWORD2>assume</KEYWORD2>
      <KEYWORD2>besselj</KEYWORD2>
      <KEYWORD2>bessely</KEYWORD2>
      <KEYWORD2>beta</KEYWORD2>
      <KEYWORD2>binomial</KEYWORD2>
      <KEYWORD2>bintersect</KEYWORD2>
      <KEYWORD2>bisequal</KEYWORD2>
      <KEYWORD2>bminus</KEYWORD2>
      <KEYWORD2>cbrt</KEYWORD2>
      <KEYWORD2>ceil</KEYWORD2>
      <KEYWORD2>checkoptions</KEYWORD2>
      <KEYWORD2>checktype</KEYWORD2>
      <KEYWORD2>conjugate</KEYWORD2>
      <KEYWORD2>cot</KEYWORD2>
      <KEYWORD2>coth</KEYWORD2>
      <KEYWORD2>countitems</KEYWORD2>
      <KEYWORD2>csc</KEYWORD2>
      <KEYWORD2>csch</KEYWORD2>
      <KEYWORD2>dimension</KEYWORD2>
      <KEYWORD2>drem</KEYWORD2>
      <KEYWORD2>duplicates</KEYWORD2>
      <KEYWORD2>erf</KEYWORD2>
      <KEYWORD2>erfc</KEYWORD2>
      <KEYWORD2>error</KEYWORD2>
      <KEYWORD2>expx2</KEYWORD2>
      <KEYWORD2>fact</KEYWORD2>
      <KEYWORD2>fma</KEYWORD2>
      <KEYWORD2>frexp</KEYWORD2>
      <KEYWORD2>gamma</KEYWORD2>
      <KEYWORD2>getbit</KEYWORD2>
      <KEYWORD2>getentry</KEYWORD2>
      <KEYWORD2>getmetatable</KEYWORD2>
      <KEYWORD2>gettype</KEYWORD2>
      <KEYWORD2>has</KEYWORD2>
      <KEYWORD2>heaviside</KEYWORD2>
      <KEYWORD2>hypot</KEYWORD2>
      <KEYWORD2>ilog2</KEYWORD2>
      <KEYWORD2>iqr</KEYWORD2>
      <KEYWORD2>irem</KEYWORD2>
      <KEYWORD2>isboolean</KEYWORD2>
      <KEYWORD2>iscomplex</KEYWORD2>
      <KEYWORD2>isequal</KEYWORD2>
      <KEYWORD2>isint</KEYWORD2>
      <KEYWORD2>isnegative</KEYWORD2>
      <KEYWORD2>isnegint</KEYWORD2>
      <KEYWORD2>isnonneg</KEYWORD2>
      <KEYWORD2>isnonnegint</KEYWORD2>
      <KEYWORD2>isnonposint</KEYWORD2>
      <KEYWORD2>isnumber</KEYWORD2>
      <KEYWORD2>isnumeric</KEYWORD2>
      <KEYWORD2>ispair</KEYWORD2>
      <KEYWORD2>isposint</KEYWORD2>
      <KEYWORD2>ispositive</KEYWORD2>
      <KEYWORD2>isseq</KEYWORD2>
      <KEYWORD2>isset</KEYWORD2>
      <KEYWORD2>isstring</KEYWORD2>
      <KEYWORD2>isstructure</KEYWORD2>
      <KEYWORD2>istable</KEYWORD2>
      <KEYWORD2>ldexp</KEYWORD2>
      <KEYWORD2>load</KEYWORD2>
      <KEYWORD2>loadfile</KEYWORD2>
      <KEYWORD2>loadstring</KEYWORD2>
      <KEYWORD2>log</KEYWORD2>
      <KEYWORD2>log2</KEYWORD2>
      <KEYWORD2>log10</KEYWORD2>
      <KEYWORD2>map</KEYWORD2>
      <KEYWORD2>max</KEYWORD2>
      <KEYWORD2>mdf</KEYWORD2>
      <KEYWORD2>min</KEYWORD2>
      <KEYWORD2>modf</KEYWORD2>
      <KEYWORD2>mprint</KEYWORD2>
      <KEYWORD2>newproxy</KEYWORD2>
      <KEYWORD2>next</KEYWORD2>
      <KEYWORD2>nseq</KEYWORD2>
      <KEYWORD2>ops</KEYWORD2>
      <KEYWORD2>print</KEYWORD2>
      <KEYWORD2>printf</KEYWORD2>
      <KEYWORD2>protect</KEYWORD2>
      <KEYWORD2>purge</KEYWORD2>
      <KEYWORD2>put</KEYWORD2>
      <KEYWORD2>rawequal</KEYWORD2>
      <KEYWORD2>rawget</KEYWORD2>
      <KEYWORD2>rawset</KEYWORD2>
      <KEYWORD2>read</KEYWORD2>
      <KEYWORD2>readlib</KEYWORD2>
      <KEYWORD2>recurse</KEYWORD2>
      <KEYWORD2>remove</KEYWORD2>
      <KEYWORD2>root</KEYWORD2>
      <KEYWORD2>roundf</KEYWORD2>
      <KEYWORD2>run</KEYWORD2>
      <KEYWORD2>save</KEYWORD2>
      <KEYWORD2>sec</KEYWORD2>
      <KEYWORD2>sech</KEYWORD2>
      <KEYWORD2>select</KEYWORD2>
      <KEYWORD2>setbit</KEYWORD2>
      <KEYWORD2>setmetatable</KEYWORD2>
      <KEYWORD2>settype</KEYWORD2>
      <KEYWORD2>sort</KEYWORD2>
      <KEYWORD2>sorted</KEYWORD2>
      <KEYWORD2>subs</KEYWORD2>
      <KEYWORD2>time</KEYWORD2>
      <KEYWORD2>tonumber</KEYWORD2>
      <KEYWORD2>toseq</KEYWORD2>
      <KEYWORD2>toset</KEYWORD2>
      <KEYWORD2>tostring</KEYWORD2>
      <KEYWORD2>totable</KEYWORD2>
      <KEYWORD2>unpack</KEYWORD2>
      <KEYWORD2>whereis</KEYWORD2>
      <KEYWORD2>with</KEYWORD2>
      <KEYWORD2>write</KEYWORD2>
      <KEYWORD2>writeline</KEYWORD2>
      <KEYWORD2>xdf</KEYWORD2>
      <KEYWORD2>xpcall</KEYWORD2>
      <KEYWORD2>zip</KEYWORD2>
      <!-- Builtin functions or special names -->
      <KEYWORD2>_PROMPT</KEYWORD2>
      <KEYWORD2>__add</KEYWORD2>
      <KEYWORD2>__sub</KEYWORD2>
      <KEYWORD2>__mul</KEYWORD2>
      <KEYWORD2>__div</KEYWORD2>
      <KEYWORD2>__pow</KEYWORD2>
      <KEYWORD2>__unm</KEYWORD2>
      <KEYWORD2>__concat</KEYWORD2>
      <KEYWORD2>__eq</KEYWORD2>
      <KEYWORD2>__lt</KEYWORD2>
      <KEYWORD2>__le</KEYWORD2>
      <KEYWORD2>__index</KEYWORD2>
      <KEYWORD2>__newindex</KEYWORD2>
      <KEYWORD2>__call</KEYWORD2>
      <KEYWORD2>__metatable</KEYWORD2>
      <KEYWORD2>__mode</KEYWORD2>
      <KEYWORD2>__tostring</KEYWORD2>
      <KEYWORD2>__fenv</KEYWORD2>
      <!-- library functions -->
      <KEYWORD3>tables.allocate</KEYWORD3>
      <KEYWORD3>tables.entries</KEYWORD3>
      <KEYWORD3>tables.getsize</KEYWORD3>
      <KEYWORD3>tables.indices</KEYWORD3>
      <KEYWORD3>tables.maxn</KEYWORD3>
      <KEYWORD3>tables.seqt</KEYWORD3>
      <KEYWORD3>strings.align</KEYWORD3>
      <KEYWORD3>strings.c2f</KEYWORD3>
      <KEYWORD3>strings.capitalise</KEYWORD3>
      <KEYWORD3>strings.diamap</KEYWORD3>
      <KEYWORD3>strings.f2c</KEYWORD3>
      <KEYWORD3>strings.fields</KEYWORD3>
      <KEYWORD3>strings.find</KEYWORD3>
      <KEYWORD3>strings.format</KEYWORD3>
      <KEYWORD3>strings.gfind</KEYWORD3>
      <KEYWORD3>strings.glob</KEYWORD3>
      <KEYWORD3>strings.gmatch</KEYWORD3>
      <KEYWORD3>strings.gmatches</KEYWORD3>
      <KEYWORD3>strings.gsub</KEYWORD3>
      <KEYWORD3>strings.hits</KEYWORD3>
      <KEYWORD3>strings.isabbrev</KEYWORD3>
      <KEYWORD3>strings.isalpha</KEYWORD3>
      <KEYWORD3>strings.isalphanumeric</KEYWORD3>
      <KEYWORD3>strings.isalphaspace</KEYWORD3>
      <KEYWORD3>strings.isalphaspec</KEYWORD3>
      <KEYWORD3>strings.isblank</KEYWORD3>
      <KEYWORD3>strings.iscenumeric</KEYWORD3>
      <KEYWORD3>strings.isending</KEYWORD3>
      <KEYWORD3>strings.isfloat</KEYWORD3>
      <KEYWORD3>strings.islatin</KEYWORD3>
      <KEYWORD3>strings.islatinnumeric</KEYWORD3>
      <KEYWORD3>strings.isloweralpha</KEYWORD3>
      <KEYWORD3>strings.islowerlatin</KEYWORD3>
      <KEYWORD3>strings.ismagic</KEYWORD3>
      <KEYWORD3>strings.isnumber</KEYWORD3>
      <KEYWORD3>strings.isnumberspace</KEYWORD3>
      <KEYWORD3>strings.isnumeric</KEYWORD3>
      <KEYWORD3>strings.isupperalpha</KEYWORD3>
      <KEYWORD3>strings.isupperlatin</KEYWORD3>
      <KEYWORD3>strings.isisoalpha</KEYWORD3>
      <KEYWORD3>strings.isisolower</KEYWORD3>
      <KEYWORD3>strings.isisoprint</KEYWORD3>
      <KEYWORD3>strings.isisospace</KEYWORD3>
      <KEYWORD3>strings.isisoupper</KEYWORD3>
      <KEYWORD3>strings.isolower</KEYWORD3>
      <KEYWORD3>strings.isoupper</KEYWORD3>
      <KEYWORD3>strings.isspace</KEYWORD3>
      <KEYWORD3>strings.isspec</KEYWORD3>
      <KEYWORD3>strings.isutf8</KEYWORD3>
      <KEYWORD3>strings.ljustify</KEYWORD3>
      <KEYWORD3>strings.lrtrim</KEYWORD3>
      <KEYWORD3>strings.ltrim</KEYWORD3>
      <KEYWORD3>strings.match</KEYWORD3>
      <KEYWORD3>strings.mfind</KEYWORD3>
      <KEYWORD3>strings.remove</KEYWORD3>
      <KEYWORD3>strings.repeat</KEYWORD3>
      <KEYWORD3>strings.reverse</KEYWORD3>
      <KEYWORD3>strings.rjustify</KEYWORD3>
      <KEYWORD3>strings.rtrim</KEYWORD3>
      <KEYWORD3>strings.separate</KEYWORD3>
      <KEYWORD3>strings.tobytes</KEYWORD3>
      <KEYWORD3>strings.tochars</KEYWORD3>
      <KEYWORD3>strings.tolatin</KEYWORD3>
      <KEYWORD3>strings.toutf8</KEYWORD3>
      <KEYWORD3>strings.transform</KEYWORD3>
      <KEYWORD3>strings.utf8size</KEYWORD3>
      <KEYWORD3>strings.words</KEYWORD3>
      <KEYWORD3>math.arccosh</KEYWORD3>
      <KEYWORD3>math.ceillog2</KEYWORD3>
      <KEYWORD3>math.ceilpow2</KEYWORD3>
      <KEYWORD3>math.convertbase</KEYWORD3>
      <KEYWORD3>math.copysign</KEYWORD3>
      <KEYWORD3>math.dd</KEYWORD3>
      <KEYWORD3>math.dms</KEYWORD3>
      <KEYWORD3>math.expminusone</KEYWORD3>
      <KEYWORD3>math.fpbtoint</KEYWORD3>
      <KEYWORD3>math.fraction</KEYWORD3>
      <KEYWORD3>math.gcd</KEYWORD3>
      <KEYWORD3>math.inttofpb</KEYWORD3>
      <KEYWORD3>math.isordered</KEYWORD3>
      <KEYWORD3>math.isprime</KEYWORD3>
      <KEYWORD3>math.lcm</KEYWORD3>
      <KEYWORD3>math.lnplusone</KEYWORD3>
      <KEYWORD3>math.log2exp</KEYWORD3>
      <KEYWORD3>math.max</KEYWORD3>
      <KEYWORD3>math.min</KEYWORD3>
      <KEYWORD3>math.morton</KEYWORD3>
      <KEYWORD3>math.ndigits</KEYWORD3>
      <KEYWORD3>math.nthdigit</KEYWORD3>
      <KEYWORD3>math.nextafter</KEYWORD3>
      <KEYWORD3>math.nextprime</KEYWORD3>
      <KEYWORD3>math.Phi</KEYWORD3>
      <KEYWORD3>math.prevprime</KEYWORD3>
      <KEYWORD3>math.random</KEYWORD3>
      <KEYWORD3>math.randomseed</KEYWORD3>
      <KEYWORD3>math.splitdms</KEYWORD3>
      <KEYWORD3>math.todecimal</KEYWORD3>
      <KEYWORD3>math.toradians</KEYWORD3>
      <KEYWORD3>math.tosgesim</KEYWORD3>
      <KEYWORD3>math.tworaised</KEYWORD3>
      <KEYWORD3>math.zeroin</KEYWORD3>
      <KEYWORD3>calc.Ci</KEYWORD3>
      <KEYWORD3>calc.Chi</KEYWORD3>
      <KEYWORD3>calc.clampedspline</KEYWORD3>
      <KEYWORD3>calc.clampedsplinecoeffs</KEYWORD3>
      <KEYWORD3>calc.diff</KEYWORD3>
      <KEYWORD3>calc.fsum</KEYWORD3>
      <KEYWORD3>calc.intde</KEYWORD3>
      <KEYWORD3>calc.intdei</KEYWORD3>
      <KEYWORD3>calc.intdeo</KEYWORD3>
      <KEYWORD3>calc.integral</KEYWORD3>
      <KEYWORD3>calc.interp</KEYWORD3>
      <KEYWORD3>calc.linterp</KEYWORD3>
      <KEYWORD3>calc.maximum</KEYWORD3>
      <KEYWORD3>calc.minimum</KEYWORD3>
      <KEYWORD3>calc.nakspline</KEYWORD3>
      <KEYWORD3>calc.naksplinecoeffs</KEYWORD3>
      <KEYWORD3>calc.neville</KEYWORD3>
      <KEYWORD3>calc.newton</KEYWORD3>
      <KEYWORD3>calc.newtoncoeffs</KEYWORD3>
      <KEYWORD3>calc.polyfit</KEYWORD3>
      <KEYWORD3>calc.polygen</KEYWORD3>
      <KEYWORD3>calc.regulafalsi</KEYWORD3>
      <KEYWORD3>calc.sections</KEYWORD3>
      <KEYWORD3>calc.Si</KEYWORD3>
      <KEYWORD3>calc.simaptive</KEYWORD3>
      <KEYWORD3>calc.Shi</KEYWORD3>
      <KEYWORD3>calc.Ssi</KEYWORD3>
      <KEYWORD3>calc.sum</KEYWORD3>
      <KEYWORD3>calc.xpdiff</KEYWORD3>
      <KEYWORD3>calc.zero</KEYWORD3>
      <KEYWORD3>stats.acf</KEYWORD3>
      <KEYWORD3>stats.acv</KEYWORD3>
      <KEYWORD3>stats.ad</KEYWORD3>
      <KEYWORD3>stats.amean</KEYWORD3>
      <KEYWORD3>stats.cdf</KEYWORD3>
      <KEYWORD3>stats.chauvenet</KEYWORD3>
      <KEYWORD3>stats.colnorm</KEYWORD3>
      <KEYWORD3>stats.countentries</KEYWORD3>
      <KEYWORD3>stats.cumsum</KEYWORD3>
      <KEYWORD3>stats.dbscan</KEYWORD3>
      <KEYWORD3>stats.deltalist</KEYWORD3>
      <KEYWORD3>stats.ema</KEYWORD3>
      <KEYWORD3>stats.extrema</KEYWORD3>
      <KEYWORD3>stats.fprod</KEYWORD3>
      <KEYWORD3>stats.fsum</KEYWORD3>
      <KEYWORD3>stats.gema</KEYWORD3>
      <KEYWORD3>stats.gini</KEYWORD3>
      <KEYWORD3>stats.gmean</KEYWORD3>
      <KEYWORD3>stats.gsma</KEYWORD3>
      <KEYWORD3>stats.gsmm</KEYWORD3>
      <KEYWORD3>stats.herfindahl</KEYWORD3>
      <KEYWORD3>stats.hmean</KEYWORD3>
      <KEYWORD3>stats.ios</KEYWORD3>
      <KEYWORD3>stats.iqr</KEYWORD3>
      <KEYWORD3>stats.issorted</KEYWORD3>
      <KEYWORD3>stats.kosumdata</KEYWORD3>
      <KEYWORD3>stats.mad</KEYWORD3>
      <KEYWORD3>stats.max</KEYWORD3>
      <KEYWORD3>stats.median</KEYWORD3>
      <KEYWORD3>stats.mean</KEYWORD3>
      <KEYWORD3>stats.meanmed</KEYWORD3>
      <KEYWORD3>stats.min</KEYWORD3>
      <KEYWORD3>stats.minmax</KEYWORD3>
      <KEYWORD3>stats.mode</KEYWORD3>
      <KEYWORD3>stats.moment</KEYWORD3>
      <KEYWORD3>stats.nde</KEYWORD3>
      <KEYWORD3>stats.ndf</KEYWORD3>
      <KEYWORD3>stats.neighbours</KEYWORD3>
      <KEYWORD3>stats.numbcomb</KEYWORD3>
      <KEYWORD3>stats.numbperm</KEYWORD3>
      <KEYWORD3>stats.obcount</KEYWORD3>
      <KEYWORD3>stats.obpart</KEYWORD3>
      <KEYWORD3>stats.pdf</KEYWORD3>
      <KEYWORD3>stats.percentile</KEYWORD3>
      <KEYWORD3>stats.prange</KEYWORD3>
      <KEYWORD3>stats.qmean</KEYWORD3>
      <KEYWORD3>stats.quartiles</KEYWORD3>
      <KEYWORD3>stats.rownorm</KEYWORD3>
      <KEYWORD3>stats.scale</KEYWORD3>
      <KEYWORD3>stats.sd</KEYWORD3>
      <KEYWORD3>stats.sdko</KEYWORD3>
      <KEYWORD3>stats.skewness</KEYWORD3>
      <KEYWORD3>stats.sma</KEYWORD3>
      <KEYWORD3>stats.smallest</KEYWORD3>
      <KEYWORD3>stats.smm</KEYWORD3>
      <KEYWORD3>stats.sorted</KEYWORD3>
      <KEYWORD3>stats.ssd</KEYWORD3>
      <KEYWORD3>stats.sumdata</KEYWORD3>
      <KEYWORD3>stats.tovals</KEYWORD3>
      <KEYWORD3>stats.trimmean</KEYWORD3>
      <KEYWORD3>stats.var</KEYWORD3>
      <KEYWORD3>stats.zscore</KEYWORD3>
      <KEYWORD3>linalg.add</KEYWORD3>
      <KEYWORD3>linalg.augment</KEYWORD3>
      <KEYWORD3>linalg.backsub</KEYWORD3>
      <KEYWORD3>linalg.backsubs</KEYWORD3>
      <KEYWORD3>linalg.checkmatrix</KEYWORD3>
      <KEYWORD3>linalg.checksquare</KEYWORD3>
      <KEYWORD3>linalg.checkvector</KEYWORD3>
      <KEYWORD3>linalg.coldim</KEYWORD3>
      <KEYWORD3>linalg.coldim</KEYWORD3>
      <KEYWORD3>linalg.column</KEYWORD3>
      <KEYWORD3>linalg.crossprod</KEYWORD3>
      <KEYWORD3>linalg.det</KEYWORD3>
      <KEYWORD3>linalg.diagonal</KEYWORD3>
      <KEYWORD3>linalg.dim</KEYWORD3>
      <KEYWORD3>linalg.dotprod</KEYWORD3>
      <KEYWORD3>linalg.forsub</KEYWORD3>
      <KEYWORD3>linalg.getdiagonal</KEYWORD3>
      <KEYWORD3>linalg.gsolve</KEYWORD3>
      <KEYWORD3>linalg.hilbert</KEYWORD3>
      <KEYWORD3>linalg.identity</KEYWORD3>
      <KEYWORD3>linalg.inverse</KEYWORD3>
      <KEYWORD3>linalg.isantisymmetric</KEYWORD3>
      <KEYWORD3>linalg.isdiagonal</KEYWORD3>
      <KEYWORD3>linalg.isidentity</KEYWORD3>
      <KEYWORD3>linalg.ismatrix</KEYWORD3>
      <KEYWORD3>linalg.issquare</KEYWORD3>
      <KEYWORD3>linalg.issymmetric</KEYWORD3>
      <KEYWORD3>linalg.isvector</KEYWORD3>
      <KEYWORD3>linalg.ludecomp</KEYWORD3>
      <KEYWORD3>linalg.matrix</KEYWORD3>
      <KEYWORD3>linalg.meq</KEYWORD3>
      <KEYWORD3>linalg.mmap</KEYWORD3>
      <KEYWORD3>linalg.mmul</KEYWORD3>
      <KEYWORD3>linalg.mulrow</KEYWORD3>
      <KEYWORD3>linalg.mulrowadd</KEYWORD3>
      <KEYWORD3>linalg.mzip</KEYWORD3>
      <KEYWORD3>linalg.norm</KEYWORD3>
      <KEYWORD3>linalg.rowdim</KEYWORD3>
      <KEYWORD3>linalg.rref</KEYWORD3>
      <KEYWORD3>linalg.scalarmul</KEYWORD3>
      <KEYWORD3>linalg.scale</KEYWORD3>
      <KEYWORD3>linalg.stack</KEYWORD3>
      <KEYWORD3>linalg.sub</KEYWORD3>
      <KEYWORD3>linalg.submatrix</KEYWORD3>
      <KEYWORD3>linalg.swapcol</KEYWORD3>
      <KEYWORD3>linalg.swaprow</KEYWORD3>
      <KEYWORD3>linalg.trace</KEYWORD3>
      <KEYWORD3>linalg.transpose</KEYWORD3>
      <KEYWORD3>linalg.vector</KEYWORD3>
      <KEYWORD3>linalg.veq</KEYWORD3>
      <KEYWORD3>linalg.vmap</KEYWORD3>
      <KEYWORD3>linalg.vzip</KEYWORD3>
      <KEYWORD3>linalg.zero</KEYWORD3>
      <KEYWORD3>os.battery</KEYWORD3>
      <KEYWORD3>os.beep</KEYWORD3>
      <KEYWORD3>os.cdrom</KEYWORD3>
      <KEYWORD3>os.chdir</KEYWORD3>
      <KEYWORD3>os.computername</KEYWORD3>
      <KEYWORD3>os.cpuinfo</KEYWORD3>
      <KEYWORD3>os.cpuload</KEYWORD3>
      <KEYWORD3>os.curdir</KEYWORD3>
      <KEYWORD3>os.date</KEYWORD3>
      <KEYWORD3>os.datetosecs</KEYWORD3>
      <KEYWORD3>os.difftime</KEYWORD3>
      <KEYWORD3>os.drives</KEYWORD3>
      <KEYWORD3>os.drivestat</KEYWORD3>
      <KEYWORD3>os.endian</KEYWORD3>
      <KEYWORD3>os.environ</KEYWORD3>
      <KEYWORD3>os.execute</KEYWORD3>
      <KEYWORD3>os.exists</KEYWORD3>
      <KEYWORD3>os.exit</KEYWORD3>
      <KEYWORD3>os.fattrib</KEYWORD3>
      <KEYWORD3>os.fcopy</KEYWORD3>
      <KEYWORD3>os.freemem</KEYWORD3>
      <KEYWORD3>os.fstat</KEYWORD3>
      <KEYWORD3>os.getenv</KEYWORD3>
      <KEYWORD3>os.isANSI</KEYWORD3>
      <KEYWORD3>os.isUNIX</KEYWORD3>
      <KEYWORD3>os.ismounted</KEYWORD3>
      <KEYWORD3>os.isremovable</KEYWORD3>
      <KEYWORD3>os.list</KEYWORD3>
      <KEYWORD3>os.listcore</KEYWORD3>
      <KEYWORD3>os.login</KEYWORD3>
      <KEYWORD3>os.memstate</KEYWORD3>
      <KEYWORD3>os.mkdir</KEYWORD3>
      <KEYWORD3>os.mousebuttons</KEYWORD3>
      <KEYWORD3>os.move</KEYWORD3>
      <KEYWORD3>os.now</KEYWORD3>
      <KEYWORD3>os.pid</KEYWORD3>
      <KEYWORD3>os.readlink</KEYWORD3>
      <KEYWORD3>os.remove</KEYWORD3>
      <KEYWORD3>os.rmdir</KEYWORD3>
      <KEYWORD3>os.screensize</KEYWORD3>
      <KEYWORD3>os.secstodate</KEYWORD3>
      <KEYWORD3>os.setenv</KEYWORD3>
      <KEYWORD3>os.setlocale</KEYWORD3>
      <KEYWORD3>os.settime</KEYWORD3>
      <KEYWORD3>os.symlink</KEYWORD3>
      <KEYWORD3>os.system</KEYWORD3>
      <KEYWORD3>os.time</KEYWORD3>
      <KEYWORD3>os.tmpname</KEYWORD3>
      <KEYWORD3>os.uptime</KEYWORD3>
      <KEYWORD3>os.wait</KEYWORD3>
      <KEYWORD3>io.anykey</KEYWORD3>
      <KEYWORD3>io.close</KEYWORD3>
      <KEYWORD3>io.eof</KEYWORD3>
      <KEYWORD3>io.fileno</KEYWORD3>
      <KEYWORD3>io.filepos</KEYWORD3>
      <KEYWORD3>io.filesize</KEYWORD3>
      <KEYWORD3>io.getclip</KEYWORD3>
      <KEYWORD3>io.getkey</KEYWORD3>
      <KEYWORD3>io.infile</KEYWORD3>
      <KEYWORD3>io.input</KEYWORD3>
      <KEYWORD3>io.isfdesc</KEYWORD3>
      <KEYWORD3>io.isopen</KEYWORD3>
      <KEYWORD3>io.lines</KEYWORD3>
      <KEYWORD3>io.lock</KEYWORD3>
      <KEYWORD3>io.nlines</KEYWORD3>
      <KEYWORD3>io.open</KEYWORD3>
      <KEYWORD3>io.openfiles</KEYWORD3>
      <KEYWORD3>io.output</KEYWORD3>
      <KEYWORD3>io.pcall</KEYWORD3>
      <KEYWORD3>io.popen</KEYWORD3>
      <KEYWORD3>io.putclip</KEYWORD3>
      <KEYWORD3>io.read</KEYWORD3>
      <KEYWORD3>io.readfile</KEYWORD3>
      <KEYWORD3>io.readlines</KEYWORD3>
      <KEYWORD3>io.rewind</KEYWORD3>
      <KEYWORD3>io.seek</KEYWORD3>
      <KEYWORD3>io.setvbuf</KEYWORD3>
      <KEYWORD3>io.skiplines</KEYWORD3>
      <KEYWORD3>io.stderr</KEYWORD3>
      <KEYWORD3>io.stdin</KEYWORD3>
      <KEYWORD3>io.stdout</KEYWORD3>
      <KEYWORD3>io.sync</KEYWORD3>
      <KEYWORD3>io.tmpfile</KEYWORD3>
      <KEYWORD3>io.toend</KEYWORD3>
      <KEYWORD3>io.truncate</KEYWORD3>
      <KEYWORD3>io.unlock</KEYWORD3>
      <KEYWORD3>io.write</KEYWORD3>
      <KEYWORD3>io.writefile</KEYWORD3>
      <KEYWORD3>io.writeline</KEYWORD3>
      <KEYWORD3>binio.close</KEYWORD3>
      <KEYWORD3>binio.eof</KEYWORD3>
      <KEYWORD3>binio.filepos</KEYWORD3>
      <KEYWORD3>binio.length</KEYWORD3>
      <KEYWORD3>binio.make</KEYWORD3>
      <KEYWORD3>binio.open</KEYWORD3>
      <KEYWORD3>binio.readbytes</KEYWORD3>
      <KEYWORD3>binio.readchar</KEYWORD3>
      <KEYWORD3>binio.readlong</KEYWORD3>
      <KEYWORD3>binio.readnumber</KEYWORD3>
      <KEYWORD3>binio.readobject</KEYWORD3>
      <KEYWORD3>binio.readstring</KEYWORD3>
      <KEYWORD3>binio.rewind</KEYWORD3>
      <KEYWORD3>binio.seek</KEYWORD3>
      <KEYWORD3>binio.sync</KEYWORD3>
      <KEYWORD3>binio.toend</KEYWORD3>
      <KEYWORD3>binio.writebytes</KEYWORD3>
      <KEYWORD3>binio.writechar</KEYWORD3>
      <KEYWORD3>binio.writelong</KEYWORD3>
      <KEYWORD3>binio.writenumber</KEYWORD3>
      <KEYWORD3>binio.writeshortstring</KEYWORD3>
      <KEYWORD3>binio.writeobject</KEYWORD3>
      <KEYWORD3>binio.writestring</KEYWORD3>
      <KEYWORD3>fractals.esctime</KEYWORD3>
      <KEYWORD3>fractals.lambdafn</KEYWORD3>
      <KEYWORD3>fractals.lbea</KEYWORD3>
      <KEYWORD3>fractals.lcos</KEYWORD3>
      <KEYWORD3>fractals.lcosxx</KEYWORD3>
      <KEYWORD3>fractals.lsin</KEYWORD3>
      <KEYWORD3>fractals.mandel</KEYWORD3>
      <KEYWORD3>fractals.mandelbrot</KEYWORD3>
      <KEYWORD3>fractals.mandelbrotfast</KEYWORD3>
      <KEYWORD3>fractals.markmand</KEYWORD3>
      <KEYWORD3>fractals.newton</KEYWORD3>
      <KEYWORD3>fractals.paint</KEYWORD3>
      <KEYWORD3>ads.attrib</KEYWORD3>
      <KEYWORD3>ads.closebase</KEYWORD3>
      <KEYWORD3>ads.closeall</KEYWORD3>
      <KEYWORD3>ads.clean</KEYWORD3>
      <KEYWORD3>ads.comment</KEYWORD3>
      <KEYWORD3>ads.createbase</KEYWORD3>
      <KEYWORD3>ads.createseq</KEYWORD3>
      <KEYWORD3>ads.createdict</KEYWORD3>
      <KEYWORD3>ads.expand</KEYWORD3>
      <KEYWORD3>ads.fastclose</KEYWORD3>
      <KEYWORD3>ads.fastopen</KEYWORD3>
      <KEYWORD3>ads.fastread</KEYWORD3>
      <KEYWORD3>ads.fastseek</KEYWORD3>
      <KEYWORD3>ads.filepos</KEYWORD3>
      <KEYWORD3>ads.getall</KEYWORD3>
      <KEYWORD3>ads.getkeys</KEYWORD3>
      <KEYWORD3>ads.getvalues</KEYWORD3>
      <KEYWORD3>ads.index</KEYWORD3>
      <KEYWORD3>ads.indices</KEYWORD3>
      <KEYWORD3>ads.invalid</KEYWORD3>
      <KEYWORD3>ads.iterate</KEYWORD3>
      <KEYWORD3>ads.lookup</KEYWORD3>
      <KEYWORD3>ads.openbase</KEYWORD3>
      <KEYWORD3>ads.opendict</KEYWORD3>
      <KEYWORD3>ads.peek</KEYWORD3>
      <KEYWORD3>ads.rawsearch</KEYWORD3>
      <KEYWORD3>ads.readbase</KEYWORD3>
      <KEYWORD3>ads.remove</KEYWORD3>
      <KEYWORD3>ads.retrieve</KEYWORD3>
      <KEYWORD3>ads.search</KEYWORD3>
      <KEYWORD3>ads.seqtolist</KEYWORD3>
      <KEYWORD3>ads.setdesc</KEYWORD3>
      <KEYWORD3>ads.sizeof</KEYWORD3>
      <KEYWORD3>ads.sync</KEYWORD3>
      <KEYWORD3>ads.writebase</KEYWORD3>
      <KEYWORD3>utils.calendar</KEYWORD3>
      <KEYWORD3>utils.checkdate</KEYWORD3>
      <KEYWORD3>utils.decodeb64</KEYWORD3>
      <KEYWORD3>utils.decodexml</KEYWORD3>
      <KEYWORD3>utils.encodeb64</KEYWORD3>
      <KEYWORD3>utils.encodexml</KEYWORD3>
      <KEYWORD3>utils.findfiles</KEYWORD3>
      <KEYWORD3>utils.readcsv</KEYWORD3>
      <KEYWORD3>utils.readini</KEYWORD3>
      <KEYWORD3>utils.readxml</KEYWORD3>
      <KEYWORD3>utils.singlesubs</KEYWORD3>
      <KEYWORD3>utils.weekday</KEYWORD3>
      <KEYWORD3>utils.writecsv</KEYWORD3>
      <KEYWORD3>utils.writeini</KEYWORD3>
      <KEYWORD3>utils.writexml</KEYWORD3>
      <KEYWORD3>gdi.autoflush</KEYWORD3>
      <KEYWORD3>gdi.background</KEYWORD3>
      <KEYWORD3>gdi.checkoptions</KEYWORD3>
      <KEYWORD3>gdi.COLOURS</KEYWORD3>
      <KEYWORD3>gdi.line</KEYWORD3>
      <KEYWORD3>gdi.mouse</KEYWORD3>
      <KEYWORD3>gdi.newline</KEYWORD3>
      <KEYWORD3>gdi.plot</KEYWORD3>
      <KEYWORD3>gdi.plotfn</KEYWORD3>
      <KEYWORD3>gdi.pointplot</KEYWORD3>
      <KEYWORD3>gdi.options</KEYWORD3>
      <KEYWORD3>gdi.point</KEYWORD3>
      <KEYWORD3>gdi.setarc</KEYWORD3>
      <KEYWORD3>gdi.setarcfilled</KEYWORD3>
      <KEYWORD3>gdi.setcircle</KEYWORD3>
      <KEYWORD3>gdi.setcirclefilled</KEYWORD3>
      <KEYWORD3>gdi.setellipse</KEYWORD3>
      <KEYWORD3>gdi.setellipsefilled</KEYWORD3>
      <KEYWORD3>gdi.setinfo</KEYWORD3>
      <KEYWORD3>gdi.setline</KEYWORD3>
      <KEYWORD3>gdi.setoptions</KEYWORD3>
      <KEYWORD3>gdi.setpoint</KEYWORD3>
      <KEYWORD3>gdi.setrectangle</KEYWORD3>
      <KEYWORD3>gdi.setrectanglefilled</KEYWORD3>
      <KEYWORD3>gdi.settriangle</KEYWORD3>
      <KEYWORD3>gdi.settrianglefilled</KEYWORD3>
      <KEYWORD3>gdi.structure</KEYWORD3>
      <KEYWORD3>gdi.triangle</KEYWORD3>
      <KEYWORD3>gdi.trianglefilled</KEYWORD3>
      <KEYWORD3>package.checkclib</KEYWORD3>
      <KEYWORD3>package.loadclib</KEYWORD3>
      <KEYWORD3>rtable.defaults</KEYWORD3>
      <KEYWORD3>rtable.rdelete</KEYWORD3>
      <KEYWORD3>rtable.rget</KEYWORD3>
      <KEYWORD3>rtable.rinit</KEYWORD3>
      <KEYWORD3>rtable.roinit</KEYWORD3>
      <KEYWORD3>rtable.rmode</KEYWORD3>
      <KEYWORD3>rtable.rset</KEYWORD3>
      <KEYWORD3>rtable.remember</KEYWORD3>
      <KEYWORD3>environ.anames</KEYWORD3>
      <KEYWORD3>environ.attrib</KEYWORD3>
      <KEYWORD3>environ.gc</KEYWORD3>
      <KEYWORD3>environ.getfenv</KEYWORD3>
      <KEYWORD3>environ.globals</KEYWORD3>
      <KEYWORD3>environ.isselfref</KEYWORD3>
      <KEYWORD3>environ.kernel</KEYWORD3>
      <KEYWORD3>environ.pointer</KEYWORD3>
      <KEYWORD3>environ.setfenv</KEYWORD3>
      <KEYWORD3>environ.used</KEYWORD3>
      <KEYWORD3>environ.userinfo</KEYWORD3>
      <KEYWORD3>environ.infolevel</KEYWORD3>
      <KEYWORD3>environ.homedir</KEYWORD3>
      <KEYWORD3>bags.attrib</KEYWORD3>
      <KEYWORD3>bags.bag</KEYWORD3>
      <KEYWORD3>bags.bagtoset</KEYWORD3>
      <KEYWORD3>bags.include</KEYWORD3>
      <KEYWORD3>bags.minclude</KEYWORD3>
      <KEYWORD3>bags.remove</KEYWORD3>
      <KEYWORD3>xml.decodexml</KEYWORD3>
      <KEYWORD3>xml.readxml</KEYWORD3>
      <KEYWORD3>skycrane.bagtable</KEYWORD3>
      <KEYWORD3>skycrane.counter</KEYWORD3>
      <KEYWORD3>skycrane.dice</KEYWORD3>
      <KEYWORD3>skycrane.enclose</KEYWORD3>
      <KEYWORD3>skycrane.fcopy</KEYWORD3>
      <KEYWORD3>skycrane.getlocales</KEYWORD3>
      <KEYWORD3>skycrane.iterate</KEYWORD3>
      <KEYWORD3>skycrane.move</KEYWORD3>
      <KEYWORD3>skycrane.readcsv</KEYWORD3>
      <KEYWORD3>skycrane.removedquotes</KEYWORD3>
      <KEYWORD3>skycrane.scribe</KEYWORD3>
      <KEYWORD3>skycrane.sorted</KEYWORD3>
      <KEYWORD3>skycrane.stopwatch</KEYWORD3>
      <KEYWORD3>skycrane.tee</KEYWORD3>
      <KEYWORD3>skycrane.tocomma</KEYWORD3>
      <KEYWORD3>skycrane.todate</KEYWORD3>
      <KEYWORD3>skycrane.trimpath</KEYWORD3>
      <KEYWORD3>xbase.attrib</KEYWORD3>
      <KEYWORD3>xbase.close</KEYWORD3>
      <KEYWORD3>xbase.field</KEYWORD3>
      <KEYWORD3>xbase.fields</KEYWORD3>
      <KEYWORD3>xbase.filepos</KEYWORD3>
      <KEYWORD3>xbase.header</KEYWORD3>
      <KEYWORD3>xbase.ismarked</KEYWORD3>
      <KEYWORD3>xbase.isopen</KEYWORD3>
      <KEYWORD3>xbase.isvoid</KEYWORD3>
      <KEYWORD3>xbase.lock</KEYWORD3>
      <KEYWORD3>xbase.new</KEYWORD3>
      <KEYWORD3>xbase.mark</KEYWORD3>
      <KEYWORD3>xbase.open</KEYWORD3>
      <KEYWORD3>xbase.purge</KEYWORD3>
      <KEYWORD3>xbase.readdbf</KEYWORD3>
      <KEYWORD3>xbase.readvalue</KEYWORD3>
      <KEYWORD3>xbase.record</KEYWORD3>
      <KEYWORD3>xbase.records</KEYWORD3>
      <KEYWORD3>xbase.sync</KEYWORD3>
      <KEYWORD3>xbase.unlock</KEYWORD3>
      <KEYWORD3>xbase.wipe</KEYWORD3>
      <KEYWORD3>xbase.writeboolean</KEYWORD3>
      <KEYWORD3>xbase.writedate</KEYWORD3>
      <KEYWORD3>xbase.writedouble</KEYWORD3>
      <KEYWORD3>xbase.writefloat</KEYWORD3>
      <KEYWORD3>xbase.writenumber</KEYWORD3>
      <KEYWORD3>xbase.writestring</KEYWORD3>
      <KEYWORD3>astro.cdate</KEYWORD3>
      <KEYWORD3>astro.dectodms</KEYWORD3>
      <KEYWORD3>astro.dmstodec</KEYWORD3>
      <KEYWORD3>astro.isleapyear</KEYWORD3>
      <KEYWORD3>astro.moon</KEYWORD3>
      <KEYWORD3>astro.moonphase</KEYWORD3>
      <KEYWORD3>astro.moonriseset</KEYWORD3>
      <KEYWORD3>astro.jdate</KEYWORD3>
      <KEYWORD3>atsro.sun</KEYWORD3>
      <KEYWORD3>astro.sunriseset</KEYWORD3>
      <KEYWORD3>clock.add</KEYWORD3>
      <KEYWORD3>clock.adjust</KEYWORD3>
      <KEYWORD3>clock.mul</KEYWORD3>
      <KEYWORD3>clock.pow</KEYWORD3>
      <KEYWORD3>clock.sgstr</KEYWORD3>
      <KEYWORD3>clock.sub</KEYWORD3>
      <KEYWORD3>clock.tm</KEYWORD3>
      <KEYWORD3>clock.todec</KEYWORD3>
      <KEYWORD3>clock.totm</KEYWORD3>
      <KEYWORD3>net.accept</KEYWORD3>
      <KEYWORD3>net.address</KEYWORD3>
      <KEYWORD3>net.bind</KEYWORD3>
      <KEYWORD3>net.block</KEYWORD3>
      <KEYWORD3>net.close</KEYWORD3>
      <KEYWORD3>net.closewinsock</KEYWORD3>
      <KEYWORD3>net.connect</KEYWORD3>
      <KEYWORD3>net.listen</KEYWORD3>
      <KEYWORD3>net.lookup</KEYWORD3>
      <KEYWORD3>net.open</KEYWORD3>
      <KEYWORD3>net.opensockets</KEYWORD3>
      <KEYWORD3>net.openwinsock</KEYWORD3>
      <KEYWORD3>net.receive</KEYWORD3>
      <KEYWORD3>net.remoteaddress</KEYWORD3>
      <KEYWORD3>net.send</KEYWORD3>
      <KEYWORD3>net.shutdown</KEYWORD3>
      <KEYWORD3>net.smallping</KEYWORD3>
      <KEYWORD3>net.survey</KEYWORD3>
      <KEYWORD3>net.wget</KEYWORD3>
      <KEYWORD3>llist.append</KEYWORD3>
      <KEYWORD3>llist.checklist</KEYWORD3>
      <KEYWORD3>llist.getn</KEYWORD3>
      <KEYWORD3>llist.iterate</KEYWORD3>
      <KEYWORD3>llist.list</KEYWORD3>
      <KEYWORD3>llist.listtotable</KEYWORD3>
      <KEYWORD3>llist.prepend</KEYWORD3>
      <KEYWORD3>llist.put</KEYWORD3>
      <KEYWORD3>llist.purge</KEYWORD3>
      <KEYWORD3>divs.add</KEYWORD3>
      <KEYWORD3>divs.denom</KEYWORD3>
      <KEYWORD3>divs.divs</KEYWORD3>
      <KEYWORD3>divs.divide</KEYWORD3>
      <KEYWORD3>divs.equals</KEYWORD3>
      <KEYWORD3>divs.multiply</KEYWORD3>
      <KEYWORD3>divs.numer</KEYWORD3>
      <KEYWORD3>divs.subtract</KEYWORD3>
      <KEYWORD3>divs.todec</KEYWORD3>
      <KEYWORD3>divs.todiv</KEYWORD3>
      <KEYWORD3>registers.gettop</KEYWORD3>
      <KEYWORD3>registers.settop</KEYWORD3>
      <KEYWORD3>registers.extend</KEYWORD3>
      <KEYWORD3>registers.reduce</KEYWORD3>
      <KEYWORD3>hashes.djb</KEYWORD3>
      <KEYWORD3>hashes.djb2</KEYWORD3>
      <KEYWORD3>hashes.fnv</KEYWORD3>
      <KEYWORD3>hashes.jen</KEYWORD3>
      <KEYWORD3>hashes.md5</KEYWORD3>
      <KEYWORD3>hashes.oaat</KEYWORD3>
      <KEYWORD3>hashes.pl</KEYWORD3>
      <KEYWORD3>hashes.raw</KEYWORD3>
      <KEYWORD3>hashes.sax</KEYWORD3>
      <KEYWORD3>hashes.sdbm</KEYWORD3>
      <KEYWORD3>hashes.sth</KEYWORD3>
    </KEYWORDS>
  </RULES>
</MODE>